Kodi Community Forum

Full Version: XBMC Ubuntu PPAs (precompiled PPA builds for Ubuntu)
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
tdw197 Wrote:did you run

Code:
sudo apt-get update

after adding the ppa?

yes i did but still get the error E: broken packages

[HTML][email protected]:~$ sudo sudo add-apt-repository ppa:henningpingel/xbmc
Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --secret-keyring /etc/apt/secring.gpg --trustdb-name /etc/apt/trustdb.gpg --keyring /etc/apt/trusted.gpg --primary-keyring /etc/apt/trusted.gpg --keyserver keyserver.ubuntu.com --recv F308A1BBA1AB4F54BC979FACB3C827F7299F360A
gpg: requesting key 299F360A from hkp server keyserver.ubuntu.com
gpg: key 299F360A: public key "Launchpad PPA named xbmc for Henning Pingel" imported
gpg: Total number processed: 1
gpg: imported: 1 (RSA: 1)
[email protected]:~$ sudo apt-get update
Ign cdrom://Ubuntu 10.04 LTS _Lucid Lynx_ - Release i386 (20100429)/ lucid/main Translation-en_US
Ign cdrom://Ubuntu 10.04 LTS _Lucid Lynx_ - Release i386 (20100429)/ lucid/restricted Translation-en_US
Get:1 http://security.ubuntu.com lucid-security Release.gpg [189B]
Ign http://security.ubuntu.com/ubuntu/ lucid-security/main Translation-en_US
Get:2 http://archive.ubuntu.com lucid Release.gpg [189B]
Ign http://archive.ubuntu.com/ubuntu/ lucid/main Translation-en_US
Get:3 http://ppa.launchpad.net lucid Release.gpg [307B]
Ign http://ppa.launchpad.net/henningpingel/xbmc/ubuntu/ lucid/main Translation-en_US
Ign http://security.ubuntu.com/ubuntu/ lucid-security/restricted Translation-en_US
Get:4 http://security.ubuntu.com lucid-security Release [38.5kB]
Ign http://archive.ubuntu.com/ubuntu/ lucid/restricted Translation-en_US
Get:5 http://archive.ubuntu.com lucid-updates Release.gpg [189B]
Ign http://archive.ubuntu.com/ubuntu/ lucid-updates/main Translation-en_US
Ign http://archive.ubuntu.com/ubuntu/ lucid-updates/restricted Translation-en_US
Get:6 http://archive.ubuntu.com lucid Release [57.2kB]
Get:7 http://ppa.launchpad.net lucid Release [57.3kB]
Get:8 http://archive.ubuntu.com lucid-updates Release [44.7kB]
Get:9 http://security.ubuntu.com lucid-security/main Packages [57.6kB]
Get:10 http://archive.ubuntu.com lucid/main Packages [1,386kB]
Get:11 http://ppa.launchpad.net lucid/main Packages [5,491B]
Get:12 http://security.ubuntu.com lucid-security/restricted Packages [14B]
Get:13 http://security.ubuntu.com lucid-security/main Sources [19.0kB]
Get:14 http://security.ubuntu.com lucid-security/restricted Sources [14B]
Get:15 http://archive.ubuntu.com lucid/restricted Packages [6,208B]
Get:16 http://archive.ubuntu.com lucid/main Sources [659kB]
Get:17 http://archive.ubuntu.com lucid/restricted Sources [3,775B]
Get:18 http://archive.ubuntu.com lucid-updates/main Packages [275kB]
Get:19 http://archive.ubuntu.com lucid-updates/restricted Packages [3,252B]
Get:20 http://archive.ubuntu.com lucid-updates/main Sources [99.7kB]
Get:21 http://archive.ubuntu.com lucid-updates/restricted Sources [1,292B]
Fetched 2,715kB in 8s (321kB/s)
Reading package lists... Done
[email protected]:~$ sudo apt-get install xbmc
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
xbmc: Depends: xbmc-data (= pvr-testing-36~yavdr-lucid30871+6) but it is not going to be installed
Depends: xbmc-web (= pvr-testing-36~yavdr-lucid30871+6) but it is not going to be installed
E: Broken packages[/HTML]
https://launchpad.net/~henningpingel/+ar.../+packages

there's some strange dependency problem there: the lucid packages are on build 37

also please keep in mind that this thread is meant for discussion about official SVN builds only
this is supposed to fix broken packages on your computer
Code:
sudo killall synaptic && sudo killall aptitude && sudo killall mintinstall && sudo killall software-center
sudo rm /var/lib/dpkg/lock && sudo rm /var/cache/apt/archives/lock && sudo rm /var/lib/apt/lists/partial/* && sudo rm /var/cache/apt/*.bin
sudo dpkg --purge $(dpkg -l |grep  ^rc |awk '{print $2}' | tr '\012' ' ')
sudo apt-get -f install && sudo apt-get clean && sudo apt-get autoclean
sudo apt-get autoremove && sudo apt-get update && sudo apt-get --fix-broken upgrade
there's still a problem with x86 jaunty but else than that the SVN PPA is finally filling up like it should!

https://edge.launchpad.net/~team-xbmc-sv.../+packages

some additional packages still missing tho, don't get excited too early. a safe bet would be tomorrow.

don't know what's going on with the stable...
Hannes The Hun Wrote:there's still a problem with x86 jaunty but else than that the SVN PPA is finally filling up like it should!

https://edge.launchpad.net/~team-xbmc-sv.../+packages

some additional packages still missing tho, don't get excited too early. a safe bet would be tomorrow.

don't know what's going on with the stable...

Cool, I notice RTMP dump is on there, would be interesting to know if this is now compiled into xbmc, as have had to a manual build to get it in and use iplayer.
tdw197 Wrote:Cool, I notice RTMP dump is on there, would be interesting to know if this is now compiled into xbmc, as have had to a manual build to get it in and use iplayer.

A quick look at the build log shows:

------------------------
XBMC Configuration:
------------------------
Debugging: Yes
Profiling: No
Optimization: Yes
Crosscomp.: No
target ARCH: no
target CPU: no
OpenGL: Yes
VDPAU: Yes
VAAPI: No
CrystalHD: No
VDADecoder: No
OpenMax: No
Joystick: Yes
XRandR: Yes
GOOM: Yes
Bluray: No
MID Support: No
ccache: No
PulseAudio: Yes
HAL Support: Yes
FAAC: No
DVDCSS: Yes
Avahi: Yes
Non-free: No
ASAP Codec: No
Webserver: Yes
libRTMP support: Yes
Deprecated libdts: No
Deprecated liba52: No
External FFmpeg: No
External Python: No
prefix: /usr
------------------------


So, yes it looks like it is compiled in
Hannes The Hun Wrote:there's still a problem with x86 jaunty but else than that the SVN PPA is finally filling up like it should!

https://edge.launchpad.net/~team-xbmc-sv.../+packages

some additional packages still missing tho, don't get excited too early. a safe bet would be tomorrow.

don't know what's going on with the stable...

So you're saying that we shouldn't try installing the xbmc build that is currently on the ppa and wait until tomorrow? I'm running Lucid x86 and it says that the package was successfully built.
xanadu1979 Wrote:So you're saying that we shouldn't try installing the xbmc build that is currently on the ppa and wait until tomorrow? I'm running Lucid x86 and it says that the package was successfully built.

ive upgraded on karmic and it works fine.
tdw197 Wrote:ive upgraded on karmic and it works fine.

I tried the Karmic build (xbmc-live) It installed successfully but XBMC wouldn't launch after a reboot. I have the latest Nvidia drivers installed.
"xbmc - 2:10.0~svn32696~deb1-1~0lucid2" looks built now.

Has anyone installed this and can verify that it works on Lucid?

Thanks Smile
cscoppa Wrote:I tried the Karmic build (xbmc-live) It installed successfully but XBMC wouldn't launch after a reboot. I have the latest Nvidia drivers installed.

Try and reinstall the nvidia drivers, I had to do this when upgrading the 1st time from 9.11 to the svn.
tdw197 Wrote:Try and reinstall the nvidia drivers, I had to do this when upgrading the 1st time from 9.11 to the svn.

I reinstalled the nvidia drivers after the first time it booted and xbmc didn't launch. rebooted again and same thing, xbmc.bin isn't running.
geez guys, stop guessing and start looking at the log files to see what's going on.
davilla Wrote:geez guys, stop guessing and start looking at the log files to see what's going on.

If it's not starting at all which log file would be the best to look at to see what's going on? Sorry for sounding noobish...
cscoppa Wrote:If it's not starting at all which log file would be the best to look at to see what's going on? Sorry for sounding noobish...

from a ssh session, export the display and run xbmc. you will get output as to why it refuses to run.